
QGIS Application - Bug report #15945

Styling dock: label tab does not get refreshed when changing layer style

2016-12-07 01:39 AM - Denis Rouzaud

Status: Closed

Priority: Severe/Regression

Assignee: Nathan Woodrow

Category: GUI

Affected QGIS version:2.18.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:No Copied to github as #: 23861

Description

- Open style dock

- Label tab (did not test others)

- Switch layer style

=> dock is not refreshed with new style (need to switch to another tab and go back to label)

Probably on master too

History

#1 - 2016-12-07 01:46 AM - Denis Rouzaud

- Priority changed from Normal to Severe/Regression

Making it severe since it might erase some configuration!

#2 - 2016-12-07 01:51 AM - Mathieu Pellerin - nIRV

Denis,

Can you give more detailed steps to reproduce? I can't reproduce with what's above, yet I'm pretty sure I ran into a similar issue not too long ago.

#3 - 2016-12-07 01:59 AM - Denis Rouzaud

- Use a vector layer

- Enable labeling and define it

- Create a second style "huge style" 

- For that new style, modify a parameter, let's say a huge font size

- With the styling dock open at the label tab, switch back to layer default style

=> You still have the "huge style" parameters displayed in the dock.

While you look at it, if you can tackle #15947 that would be awesome!!!

Thanks for looking at this!

#4 - 2017-02-28 02:20 PM - Giovanni Manghi

- Status changed from Open to Feedback
Denis Rouzaud wrote:

- Use a vector layer

- Enable labeling and define it

- Create a second style "huge style" 

- For that new style, modify a parameter, let's say a huge font size

- With the styling dock open at the label tab, switch back to layer default style

=> You still have the "huge style" parameters displayed in the dock.

following this steps on 2.18.4 i can't replicate the issue. Can you check? thanks!

#5 - 2017-04-29 05:17 AM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Feedback to Closed

Closing for lack of feedback, please reopen of necessary.
